For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • POSTInsert badge data (bulk)
Trebellar Platform
LogoLogo
API ResourcesBadge

Insert badge data (bulk)

||View as Markdown|
POST
https://api.trebellar.app/api/v2/badge
POST
/api/v2/badge
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.badge.bulkInsertBadge({
8 readings: [
9 {
10 id: "eid:sfo-001",
11 readAt: 1.1,
12 },
13 ],
14 });
15}
16main();
1{
2 "insertedEntries": 1.1
3}
Was this page helpful?
Previous

Delete Location Definitions

Next

List all People Groups

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
readingslist of objectsRequired

Response

Successful operation
insertedEntriesdouble

Errors

400
Bad Request Error
422
Unprocessable Entity Error